public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:master commit in: net-im/heisenbridge/
@ 2023-02-08 12:09 Florian Schmaus
  0 siblings, 0 replies; 7+ messages in thread
From: Florian Schmaus @ 2023-02-08 12:09 UTC (permalink / raw
  To: gentoo-commits

commit:     0fcb8ebfea995503cde0b16f45b6817d31d0b7ee
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Wed Feb  8 01:58:58 2023 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Feb  8 01:59:48 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=0fcb8ebf

net-im/heisenbridge: add 1.14.2

Signed-off-by: Julien Roy <julien <AT> jroy.ca>

 net-im/heisenbridge/Manifest                   |  1 +
 net-im/heisenbridge/heisenbridge-1.14.2.ebuild | 60 ++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/net-im/heisenbridge/Manifest b/net-im/heisenbridge/Manifest
index 16459fcc0..11ffd2926 100644
--- a/net-im/heisenbridge/Manifest
+++ b/net-im/heisenbridge/Manifest
@@ -1 +1,2 @@
 DIST heisenbridge-1.14.1.gh.tar.gz 66220 BLAKE2B 79e63dcdc7e29a581b3a19b3c72775ced659092888e73f2a4322470bd1f2dd59ea2991ad054dd2c1a8b2e261a7988793e16d29744fb34a9fc2664bfe93f0f42a SHA512 f952261000ad6fd1b5793d1c18b952d13faea5afa2ac7798a22768e5ef31b620d9cc4cb73617c3e124dc1087a98785ba274747e9f85718533d5ba20dd7af5de2
+DIST heisenbridge-1.14.2.gh.tar.gz 67778 BLAKE2B 50b1fbd76f4bec3a75198735b68762453f1c0b54b29e77024920c11f38218ff464faff086f74b3db0d8251b943dcae43a41189582dab7335930fbcd5e6658b2e SHA512 2ba51f3786aea5d0f4e743db4a9196d800103d96ad68cd37009c2e82a3bde27eff8233e473c74aca0ccd1d64521a5e0a99337a3c6e97008e1800ff099be6499f

diff --git a/net-im/heisenbridge/heisenbridge-1.14.2.ebuild b/net-im/heisenbridge/heisenbridge-1.14.2.ebuild
new file mode 100644
index 000000000..cc4a9a2a0
--- /dev/null
+++ b/net-im/heisenbridge/heisenbridge-1.14.2.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..10} )
+
+inherit distutils-r1 systemd
+
+DESCRIPTION="A bouncer-style Matrix IRC bridge"
+HOMEPAGE="https://github.com/hifi/heisenbridge/"
+SRC_URI="https://github.com/hifi/heisenbridge/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	acct-user/${PN}
+	dev-python/irc[${PYTHON_USEDEP}]
+	dev-python/mautrix[${PYTHON_USEDEP}]
+	dev-python/python-socks[${PYTHON_USEDEP}]
+	dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+	"${FILESDIR}/heisenbridge-1.14.1-qanotice.patch"
+)
+
+distutils_enable_tests pytest
+
+src_install() {
+	distutils-r1_src_install
+
+	newinitd "${FILESDIR}/heisenbridge.initd" "${PN}"
+	newconfd "${FILESDIR}/heisenbridge.confd" "${PN}"
+	systemd_dounit "${FILESDIR}/${PN}.service"
+}
+
+pkg_postinst() {
+	einfo
+	elog "Before you can use ${PN}, you must configure it correctly"
+	elog "The configuration file is located at /etc/conf.d/${PN}"
+	elog "Then, you must generate the registration file using the following command"
+	elog "If you are using synapse:"
+	elog "/usr/bin/python -m ${PN} -c /var/lib/${PN}/registration.yaml --generate https://example.com"
+	elog "If you are using Dendrite, Conduit or others:"
+	elog "/usr/bin/python -m ${PN} -c /var/lib/${PN}/registration.yaml --generate-compat https://example.com"
+	elog "Notice the URL at the end, replace it with your homeserver's URL"
+	elog "Then, you must register the bridge with your homeserver"
+	elog "Refer to your homeserver's documentation for instructions"
+	elog "The registration file is located at /var/lib/${PN}/registration.yaml"
+	elog "Finally, you may start the ${PN} daemon"
+	einfo
+
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: net-im/heisenbridge/
@ 2023-08-18  6:21 Viorel Munteanu
  0 siblings, 0 replies; 7+ messages in thread
From: Viorel Munteanu @ 2023-08-18  6:21 UTC (permalink / raw
  To: gentoo-commits

commit:     ad79b032ba063ccb94db6afb88ff18d00436a59e
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Thu Aug 17 16:46:49 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Thu Aug 17 16:46:49 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ad79b032

net-im/heisenbridge: add 1.14.5

Signed-off-by: Julien Roy <julien <AT> jroy.ca>

 net-im/heisenbridge/Manifest                   |  1 +
 net-im/heisenbridge/heisenbridge-1.14.5.ebuild | 60 ++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/net-im/heisenbridge/Manifest b/net-im/heisenbridge/Manifest
index 3fa0c7a26c..373f3f9274 100644
--- a/net-im/heisenbridge/Manifest
+++ b/net-im/heisenbridge/Manifest
@@ -1 +1,2 @@
 DIST heisenbridge-1.14.2.gh.tar.gz 67778 BLAKE2B 50b1fbd76f4bec3a75198735b68762453f1c0b54b29e77024920c11f38218ff464faff086f74b3db0d8251b943dcae43a41189582dab7335930fbcd5e6658b2e SHA512 2ba51f3786aea5d0f4e743db4a9196d800103d96ad68cd37009c2e82a3bde27eff8233e473c74aca0ccd1d64521a5e0a99337a3c6e97008e1800ff099be6499f
+DIST heisenbridge-1.14.5.gh.tar.gz 68042 BLAKE2B e959762bfe1180b2bd66f71bca04c8eccafd61551a1cb6664acf4d5bf8b835488511178e1bbad2b59c45c38ba913e8ee010e4c6fe390b8ca29715f853de01d16 SHA512 eaee99415796b898caed6f31207081fd70a5d7d437c722bfd3e54924c20cfabff854b0f4a8118320375d29c42f045dc67bd4c5ccaea247bc3e22d71f75f616dc

diff --git a/net-im/heisenbridge/heisenbridge-1.14.5.ebuild b/net-im/heisenbridge/heisenbridge-1.14.5.ebuild
new file mode 100644
index 0000000000..d8c2d4edbd
--- /dev/null
+++ b/net-im/heisenbridge/heisenbridge-1.14.5.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 systemd
+
+DESCRIPTION="A bouncer-style Matrix IRC bridge"
+HOMEPAGE="https://github.com/hifi/heisenbridge/"
+SRC_URI="https://github.com/hifi/heisenbridge/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	acct-user/${PN}
+	dev-python/irc[${PYTHON_USEDEP}]
+	dev-python/mautrix[${PYTHON_USEDEP}]
+	dev-python/python-socks[${PYTHON_USEDEP}]
+	dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+	"${FILESDIR}/heisenbridge-1.14.1-qanotice.patch"
+)
+
+distutils_enable_tests pytest
+
+src_install() {
+	distutils-r1_src_install
+
+	newinitd "${FILESDIR}/heisenbridge.initd" "${PN}"
+	newconfd "${FILESDIR}/heisenbridge.confd" "${PN}"
+	systemd_dounit "${FILESDIR}/${PN}.service"
+}
+
+pkg_postinst() {
+	einfo
+	elog "Before you can use ${PN}, you must configure it correctly"
+	elog "The configuration file is located at /etc/conf.d/${PN}"
+	elog "Then, you must generate the registration file using the following command"
+	elog "If you are using synapse:"
+	elog "/usr/bin/python -m ${PN} -c /var/lib/${PN}/registration.yaml --generate https://example.com"
+	elog "If you are using Dendrite, Conduit or others:"
+	elog "/usr/bin/python -m ${PN} -c /var/lib/${PN}/registration.yaml --generate-compat https://example.com"
+	elog "Notice the URL at the end, replace it with your homeserver's URL"
+	elog "Then, you must register the bridge with your homeserver"
+	elog "Refer to your homeserver's documentation for instructions"
+	elog "The registration file is located at /var/lib/${PN}/registration.yaml"
+	elog "Finally, you may start the ${PN} daemon"
+	einfo
+
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: net-im/heisenbridge/
@ 2024-01-16 13:54 David Roman
  0 siblings, 0 replies; 7+ messages in thread
From: David Roman @ 2024-01-16 13:54 UTC (permalink / raw
  To: gentoo-commits

commit:     674e75dae43ac90e2ced10c615b216da404871fc
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Tue Jan 16 11:45:44 2024 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Tue Jan 16 11:45:44 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=674e75da

net-im/heisenbridge: fix 0.0.0 version

Closes: https://bugs.gentoo.org/922020
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 net-im/heisenbridge/heisenbridge-1.14.6-r1.ebuild | 68 +++++++++++++++++++++++
 1 file changed, 68 insertions(+)

diff --git a/net-im/heisenbridge/heisenbridge-1.14.6-r1.ebuild b/net-im/heisenbridge/heisenbridge-1.14.6-r1.ebuild
new file mode 100644
index 0000000000..f1e440b504
--- /dev/null
+++ b/net-im/heisenbridge/heisenbridge-1.14.6-r1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 systemd
+
+DESCRIPTION="A bouncer-style Matrix IRC bridge"
+HOMEPAGE="https://github.com/hifi/heisenbridge/"
+SRC_URI="https://github.com/hifi/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	acct-user/heisenbridge
+	<dev-python/aiohttp-4[${PYTHON_USEDEP}]
+	dev-python/async-timeout[${PYTHON_USEDEP}]
+	dev-python/irc[${PYTHON_USEDEP}]
+	dev-python/mautrix[${PYTHON_USEDEP}]
+	dev-python/python-socks[${PYTHON_USEDEP}]
+	dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+	"${FILESDIR}/heisenbridge-1.14.1-qanotice.patch"
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	distutils-r1_src_prepare
+	echo ${PV} > ${PN}/version.txt || die
+}
+
+src_install() {
+	distutils-r1_src_install
+
+	newinitd "${FILESDIR}"/heisenbridge.initd ${PN}
+	newconfd "${FILESDIR}"/heisenbridge.confd ${PN}
+	systemd_dounit "${FILESDIR}"/${PN}.service
+}
+
+pkg_postinst() {
+	[[ -f /var/lib/${PN}/registration.yaml ]] && return 0
+
+	einfo
+	elog "Before you can use ${PN}, you have to configure it correctly."
+	elog "The configuration file is located at /etc/conf.d/${PN}"
+	elog
+	elog "Then, you must generate the registration file using the following command:"
+	elog "* If you are using Synapse:"
+	elog "\t${PN} -c /var/lib/${PN}/registration.yaml --generate https://example.com"
+	elog "* If you are using Dendrite, Conduit or others:"
+	elog "\t${PN} -c /var/lib/${PN}/registration.yaml --generate-compat https://example.com"
+	elog
+	elog "Notice the URL at the end, replace it with your homeserver's URL."
+	elog "Then, you must register the bridge with your homeserver."
+	elog "Refer to your homeserver's documentation for instructions."
+	elog "The registration file is located at /var/lib/${PN}/registration.yaml"
+	elog "Finally, you may start the ${PN} daemon."
+	einfo
+
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: net-im/heisenbridge/
@ 2024-01-16 13:54 David Roman
  0 siblings, 0 replies; 7+ messages in thread
From: David Roman @ 2024-01-16 13:54 UTC (permalink / raw
  To: gentoo-commits

commit:     568097935585e3fef768c5748f03ae71ad8dd3a4
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Tue Jan 16 11:45:51 2024 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Tue Jan 16 11:45:51 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=56809793

net-im/heisenbridge: drop 1.14.5

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 net-im/heisenbridge/Manifest                   |  1 -
 net-im/heisenbridge/heisenbridge-1.14.5.ebuild | 60 --------------------------
 2 files changed, 61 deletions(-)

diff --git a/net-im/heisenbridge/Manifest b/net-im/heisenbridge/Manifest
index f36f207744..484076c2fc 100644
--- a/net-im/heisenbridge/Manifest
+++ b/net-im/heisenbridge/Manifest
@@ -1,2 +1 @@
-DIST heisenbridge-1.14.5.gh.tar.gz 68042 BLAKE2B e959762bfe1180b2bd66f71bca04c8eccafd61551a1cb6664acf4d5bf8b835488511178e1bbad2b59c45c38ba913e8ee010e4c6fe390b8ca29715f853de01d16 SHA512 eaee99415796b898caed6f31207081fd70a5d7d437c722bfd3e54924c20cfabff854b0f4a8118320375d29c42f045dc67bd4c5ccaea247bc3e22d71f75f616dc
 DIST heisenbridge-1.14.6.gh.tar.gz 68513 BLAKE2B ae0a588c90f4dac36ab04665c67c8e9ca7b16fd66dfa3d5cc577a65eb638b23c69a49771323761bb3a7404200fbd72e221a46a964ab0700acf8d03d55a2fa04e SHA512 6e89679f87b4774c035981360b155590c0bd238e575be5673a447a4b348d85ef9f4c7557d6ebaed27a2e6f7823322a0641959f252e8e3c33559e5b68ccf6f252

diff --git a/net-im/heisenbridge/heisenbridge-1.14.5.ebuild b/net-im/heisenbridge/heisenbridge-1.14.5.ebuild
deleted file mode 100644
index d8c2d4edbd..0000000000
--- a/net-im/heisenbridge/heisenbridge-1.14.5.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..11} )
-
-inherit distutils-r1 systemd
-
-DESCRIPTION="A bouncer-style Matrix IRC bridge"
-HOMEPAGE="https://github.com/hifi/heisenbridge/"
-SRC_URI="https://github.com/hifi/heisenbridge/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	acct-user/${PN}
-	dev-python/irc[${PYTHON_USEDEP}]
-	dev-python/mautrix[${PYTHON_USEDEP}]
-	dev-python/python-socks[${PYTHON_USEDEP}]
-	dev-python/ruamel-yaml[${PYTHON_USEDEP}]
-"
-DEPEND="${RDEPEND}"
-
-PATCHES=(
-	"${FILESDIR}/heisenbridge-1.14.1-qanotice.patch"
-)
-
-distutils_enable_tests pytest
-
-src_install() {
-	distutils-r1_src_install
-
-	newinitd "${FILESDIR}/heisenbridge.initd" "${PN}"
-	newconfd "${FILESDIR}/heisenbridge.confd" "${PN}"
-	systemd_dounit "${FILESDIR}/${PN}.service"
-}
-
-pkg_postinst() {
-	einfo
-	elog "Before you can use ${PN}, you must configure it correctly"
-	elog "The configuration file is located at /etc/conf.d/${PN}"
-	elog "Then, you must generate the registration file using the following command"
-	elog "If you are using synapse:"
-	elog "/usr/bin/python -m ${PN} -c /var/lib/${PN}/registration.yaml --generate https://example.com"
-	elog "If you are using Dendrite, Conduit or others:"
-	elog "/usr/bin/python -m ${PN} -c /var/lib/${PN}/registration.yaml --generate-compat https://example.com"
-	elog "Notice the URL at the end, replace it with your homeserver's URL"
-	elog "Then, you must register the bridge with your homeserver"
-	elog "Refer to your homeserver's documentation for instructions"
-	elog "The registration file is located at /var/lib/${PN}/registration.yaml"
-	elog "Finally, you may start the ${PN} daemon"
-	einfo
-
-}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: net-im/heisenbridge/
@ 2024-01-20 22:13 David Roman
  0 siblings, 0 replies; 7+ messages in thread
From: David Roman @ 2024-01-20 22:13 UTC (permalink / raw
  To: gentoo-commits

commit:     6e22e4cd8e7e2c5c417d35b9f67d75a313c8d2ca
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sat Jan 20 16:52:28 2024 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Sat Jan 20 16:52:28 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6e22e4cd

net-im/heisenbridge: enable py3.12

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 net-im/heisenbridge/heisenbridge-1.14.6-r1.ebuild | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/net-im/heisenbridge/heisenbridge-1.14.6-r1.ebuild b/net-im/heisenbridge/heisenbridge-1.14.6-r1.ebuild
index f1e440b504..034d986b5a 100644
--- a/net-im/heisenbridge/heisenbridge-1.14.6-r1.ebuild
+++ b/net-im/heisenbridge/heisenbridge-1.14.6-r1.ebuild
@@ -4,8 +4,7 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..11} )
-
+PYTHON_COMPAT=( python3_{10..12} )
 inherit distutils-r1 systemd
 
 DESCRIPTION="A bouncer-style Matrix IRC bridge"
@@ -46,7 +45,7 @@ src_install() {
 }
 
 pkg_postinst() {
-	[[ -f /var/lib/${PN}/registration.yaml ]] && return 0
+	[[ -f "${EPREFIX}"/var/lib/${PN}/registration.yaml ]] && return 0
 
 	einfo
 	elog "Before you can use ${PN}, you have to configure it correctly."


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: net-im/heisenbridge/
@ 2024-04-14 17:03 Julien Roy
  0 siblings, 0 replies; 7+ messages in thread
From: Julien Roy @ 2024-04-14 17:03 UTC (permalink / raw
  To: gentoo-commits

commit:     c3636f89a515bc1f1634e509d696cc8c0dc73bb7
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sun Apr 14 16:15:22 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Sun Apr 14 16:15:22 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c3636f89

net-im/heisenbridge: drop 1.14.6

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 net-im/heisenbridge/heisenbridge-1.14.6.ebuild | 60 --------------------------
 1 file changed, 60 deletions(-)

diff --git a/net-im/heisenbridge/heisenbridge-1.14.6.ebuild b/net-im/heisenbridge/heisenbridge-1.14.6.ebuild
deleted file mode 100644
index d8c2d4edbd..0000000000
--- a/net-im/heisenbridge/heisenbridge-1.14.6.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..11} )
-
-inherit distutils-r1 systemd
-
-DESCRIPTION="A bouncer-style Matrix IRC bridge"
-HOMEPAGE="https://github.com/hifi/heisenbridge/"
-SRC_URI="https://github.com/hifi/heisenbridge/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
-	acct-user/${PN}
-	dev-python/irc[${PYTHON_USEDEP}]
-	dev-python/mautrix[${PYTHON_USEDEP}]
-	dev-python/python-socks[${PYTHON_USEDEP}]
-	dev-python/ruamel-yaml[${PYTHON_USEDEP}]
-"
-DEPEND="${RDEPEND}"
-
-PATCHES=(
-	"${FILESDIR}/heisenbridge-1.14.1-qanotice.patch"
-)
-
-distutils_enable_tests pytest
-
-src_install() {
-	distutils-r1_src_install
-
-	newinitd "${FILESDIR}/heisenbridge.initd" "${PN}"
-	newconfd "${FILESDIR}/heisenbridge.confd" "${PN}"
-	systemd_dounit "${FILESDIR}/${PN}.service"
-}
-
-pkg_postinst() {
-	einfo
-	elog "Before you can use ${PN}, you must configure it correctly"
-	elog "The configuration file is located at /etc/conf.d/${PN}"
-	elog "Then, you must generate the registration file using the following command"
-	elog "If you are using synapse:"
-	elog "/usr/bin/python -m ${PN} -c /var/lib/${PN}/registration.yaml --generate https://example.com"
-	elog "If you are using Dendrite, Conduit or others:"
-	elog "/usr/bin/python -m ${PN} -c /var/lib/${PN}/registration.yaml --generate-compat https://example.com"
-	elog "Notice the URL at the end, replace it with your homeserver's URL"
-	elog "Then, you must register the bridge with your homeserver"
-	elog "Refer to your homeserver's documentation for instructions"
-	elog "The registration file is located at /var/lib/${PN}/registration.yaml"
-	elog "Finally, you may start the ${PN} daemon"
-	einfo
-
-}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: net-im/heisenbridge/
@ 2024-08-20 20:46 David Roman
  0 siblings, 0 replies; 7+ messages in thread
From: David Roman @ 2024-08-20 20:46 UTC (permalink / raw
  To: gentoo-commits

commit:     711c79802aa2c97d0d8b15f36c0f651f385d9cef
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Tue Aug 20 09:16:46 2024 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Tue Aug 20 09:16:46 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=711c7980

net-im/heisenbridge: add 1.15.0

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 net-im/heisenbridge/Manifest                   |  1 +
 net-im/heisenbridge/heisenbridge-1.15.0.ebuild | 67 ++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/net-im/heisenbridge/Manifest b/net-im/heisenbridge/Manifest
index 484076c2f..7b9c08a89 100644
--- a/net-im/heisenbridge/Manifest
+++ b/net-im/heisenbridge/Manifest
@@ -1 +1,2 @@
 DIST heisenbridge-1.14.6.gh.tar.gz 68513 BLAKE2B ae0a588c90f4dac36ab04665c67c8e9ca7b16fd66dfa3d5cc577a65eb638b23c69a49771323761bb3a7404200fbd72e221a46a964ab0700acf8d03d55a2fa04e SHA512 6e89679f87b4774c035981360b155590c0bd238e575be5673a447a4b348d85ef9f4c7557d6ebaed27a2e6f7823322a0641959f252e8e3c33559e5b68ccf6f252
+DIST heisenbridge-1.15.0.gh.tar.gz 69967 BLAKE2B 4e6b766ab0ba4734fb7c1bf6342ac2697f7830d41a3542f32672a1a9486c9c19d1443304c2df32c05845453d1c2a14adf69431e650ead87185f1331bcf5cd64d SHA512 2679a8113a9596769a5932c341559a5d9ad3c893b6ea739e9516be26f1b36695953a500972c627eb1adb3cfefcc5f2cb5ed4ffd0fac8cf05fc4e2b05ae3fcfd2

diff --git a/net-im/heisenbridge/heisenbridge-1.15.0.ebuild b/net-im/heisenbridge/heisenbridge-1.15.0.ebuild
new file mode 100644
index 000000000..034d986b5
--- /dev/null
+++ b/net-im/heisenbridge/heisenbridge-1.15.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+inherit distutils-r1 systemd
+
+DESCRIPTION="A bouncer-style Matrix IRC bridge"
+HOMEPAGE="https://github.com/hifi/heisenbridge/"
+SRC_URI="https://github.com/hifi/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	acct-user/heisenbridge
+	<dev-python/aiohttp-4[${PYTHON_USEDEP}]
+	dev-python/async-timeout[${PYTHON_USEDEP}]
+	dev-python/irc[${PYTHON_USEDEP}]
+	dev-python/mautrix[${PYTHON_USEDEP}]
+	dev-python/python-socks[${PYTHON_USEDEP}]
+	dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+	"${FILESDIR}/heisenbridge-1.14.1-qanotice.patch"
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	distutils-r1_src_prepare
+	echo ${PV} > ${PN}/version.txt || die
+}
+
+src_install() {
+	distutils-r1_src_install
+
+	newinitd "${FILESDIR}"/heisenbridge.initd ${PN}
+	newconfd "${FILESDIR}"/heisenbridge.confd ${PN}
+	systemd_dounit "${FILESDIR}"/${PN}.service
+}
+
+pkg_postinst() {
+	[[ -f "${EPREFIX}"/var/lib/${PN}/registration.yaml ]] && return 0
+
+	einfo
+	elog "Before you can use ${PN}, you have to configure it correctly."
+	elog "The configuration file is located at /etc/conf.d/${PN}"
+	elog
+	elog "Then, you must generate the registration file using the following command:"
+	elog "* If you are using Synapse:"
+	elog "\t${PN} -c /var/lib/${PN}/registration.yaml --generate https://example.com"
+	elog "* If you are using Dendrite, Conduit or others:"
+	elog "\t${PN} -c /var/lib/${PN}/registration.yaml --generate-compat https://example.com"
+	elog
+	elog "Notice the URL at the end, replace it with your homeserver's URL."
+	elog "Then, you must register the bridge with your homeserver."
+	elog "Refer to your homeserver's documentation for instructions."
+	elog "The registration file is located at /var/lib/${PN}/registration.yaml"
+	elog "Finally, you may start the ${PN} daemon."
+	einfo
+
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2024-08-20 20:46 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-01-20 22:13 [gentoo-commits] repo/proj/guru:master commit in: net-im/heisenbridge/ David Roman
  -- strict thread matches above, loose matches on Subject: below --
2024-08-20 20:46 David Roman
2024-04-14 17:03 Julien Roy
2024-01-16 13:54 David Roman
2024-01-16 13:54 David Roman
2023-08-18  6:21 Viorel Munteanu
2023-02-08 12:09 Florian Schmaus

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox